Bug 849496 - Review Request: webbit - Event-based WebSocket and HTTP server for Java
Review Request: webbit - Event-based WebSocket and HTTP server for Java
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: FE-JAVASIG
  Show dependency treegraph
 
Reported: 2012-08-19 21:33 EDT by Dan Callaghan
Modified: 2015-11-04 06:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rawhide build log for webbit-0.4.15-1 with test failure (16.18 KB, text/plain)
2013-06-16 21:32 EDT, Dan Callaghan
no flags Details

  None (edit)
Description Dan Callaghan 2012-08-19 21:33:26 EDT
Spec URL: http://fedorapeople.org/~dcallagh/webbit/webbit.spec
SRPM URL: http://fedorapeople.org/~dcallagh/webbit/webbit-0.4.14-1.fc18.src.rpm
Description: Webbit is an event-based WebSocket and HTTP server for Java.
Fedora Account System Username: dcallagh
Comment 1 Jason Tibbitts 2013-06-15 01:00:10 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Ths package fails to build for me.  Here's a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5505769

I suspect it needs some updating to meet current Java packaging guidelines.  For example, the javadoc subpackage is mandatory.  I'm no Java expert, though.
Comment 2 Dan Callaghan 2013-06-16 21:32:26 EDT
Created attachment 761917 [details]
rawhide build log for webbit-0.4.15-1 with test failure

I've updated the package:

http://fedorapeople.org/~dcallagh/webbit/webbit.spec
http://fedorapeople.org/~dcallagh/webbit/webbit-0.4.15-1.fc18.src.rpm

I believe it meets all guidelines now, however the build is failing in Rawhide for me because of a test failure. It seems to be related to the newer netty version in F19/Rawhide (I don't see the test failure in F18). If anyone has any ideas what's going wrong here I'd appreciate some help...
Comment 3 gil cattaneo 2013-07-27 12:21:58 EDT
excuse me, which version of Fedora you want to use this package?
regards
Comment 4 Dan Callaghan 2013-07-29 01:46:50 EDT
(In reply to gil cattaneo from comment #3)
> excuse me, which version of Fedora you want to use this package?

I'm not sure I understand the question... I was planning to build this for all current Fedora releases (F18 and newer I suppose, since F17 is almost EOL).

But I still haven't had a chance to look into the test failures related to netty from comment 2.
Comment 5 Dan Callaghan 2013-09-16 18:50:38 EDT
I filed an upstream issue about this test failure in rawhide:

https://github.com/webbit/webbit/issues/121

The master branch of webbit is using netty 3.6.5 but it breaks with netty 3.6.6 (in rawhide). Neither I nor the webbit author could figure out why.
Comment 6 gil cattaneo 2013-10-01 07:05:41 EDT
please, these BRs must be removed are alredy requred by "java tools"
BuildRequires:  jpackage-utils
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin

also these for the same reason
Requires:       java
Requires:       jpackage-utils

if you want install in /usr/share/java instead of /usr/share/java/webbit
you can use
%mvn_file org.webbitserver:%{name} %{name}
OR
%mvn_file :%{name} %{name}
OR
%mvn_file : %{name}
this is possible only for those package which provides artifacts <= 2
regards

Note You need to log in before you can comment on or make changes to this bug.